#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n,k;
    cin>>n>>k;
    int h[n];
    bool pom=true;
    int index=0;
    for(int i=0;i<n;i++)
    {
        cin>>h[i];
        if(pom && h[i]<=k)
        {
            index=i+1;
            pom=false;
        }
    }
    if(pom)
        cout<<"-1";
    else
        cout<<index;
    return 0;
}